### Struct

# Ggit BranchEnumerator

#### Description [src]

    struct GgitBranchEnumerator {
      /* No available fields */
    }

Represents a branch enumerator.

#### Instance methods

###### ggit_branch_enumerator_get

Returns the currently being enumerated branch, or `NULL`. Note that the returned GgitRef will be of type GgitBranch if the ref represents a local branch.

###### ggit_branch_enumerator_iterator

Get an iterator for the enumerator.

###### ggit_branch_enumerator_next

Move the enumerator to the next branch.

###### ggit_branch_enumerator_ref

No description available.

###### ggit_branch_enumerator_unref

No description available.